List templates
GET
/templatesCosts 1 rate-limit point · Rate limits
Retrieve all templates for the authenticated store.
Returns
templatesarray of objectsShow 18 child attributesHide child attributes
idintegerUse as
template_idin pdf/send_email/create.namestringExample:Default invoicetemplate_typestringExample:invoiceOne ofinvoicepacking_slipcredit_notedesign_keystring, nullableExample:classicpre_selected_ordersbooleanExample:truepre_selected_draft_ordersbooleanExample:falsepre_selected_pos_ordersbooleanExample:falsepre_selected_credit_notesbooleanExample:falseaccent_colorstringExample:#1F6FEBfont_familystringExample:Helveticafont_sizeintegerExample:11date_formatstringExample:%d %b %Yinvoice_number_prefixstringExample:INV-logo_urlstring, nullableExample:https://example.com/logo.pnglogo_widthintegerExample:120logo_enabledbooleanExample:truecreated_atstringExample:2025-11-03T14:02:00Zupdated_atstringExample:2026-01-10T08:15:00Z
Errors
401
Missing or invalid API key.
403
The store is not on a paid plan. API access requires a paid Invoice Falcon plan.
429
Rate limit exceeded. Check X-RateLimit-Reset header.
GET/templates
curl "https://app.invoicefalcon.com/api/v1/external/templates" \
-H "X-Auth-Token: $INVOICE_FALCON_API_KEY"const res = await fetch("https://app.invoicefalcon.com/api/v1/external/templates", {
headers: {
"X-Auth-Token": process.env.INVOICE_FALCON_API_KEY,
},
});
const data = await res.json();import os
import requests
res = requests.get(
"https://app.invoicefalcon.com/api/v1/external/templates",
headers={"X-Auth-Token": os.environ["INVOICE_FALCON_API_KEY"]},
)
data = res.json()require "net/http"
require "json"
uri = URI("https://app.invoicefalcon.com/api/v1/external/templates")
req = Net::HTTP::Get.new(uri, "X-Auth-Token" => ENV["INVOICE_FALCON_API_KEY"])
res = Net::HTTP.start(uri.host, uri.port, use_ssl: true) { |http| http.request(req) }
data = JSON.parse(res.body)Response
{
"templates": [
{
"id": 311,
"name": "Default invoice",
"template_type": "invoice",
"design_key": "classic",
"pre_selected_orders": true,
"pre_selected_draft_orders": false,
"pre_selected_pos_orders": false,
"pre_selected_credit_notes": false,
"accent_color": "#1F6FEB",
"font_family": "Helvetica",
"font_size": 11,
"date_format": "%d %b %Y",
"invoice_number_prefix": "INV-",
"logo_url": "https://example.com/logo.png",
"logo_width": 120,
"logo_enabled": true,
"created_at": "2025-11-03T14:02:00Z",
"updated_at": "2026-01-10T08:15:00Z"
},
{
"id": 312,
"name": "Packing slip",
"template_type": "packing_slip",
"design_key": null,
"pre_selected_orders": false,
"pre_selected_draft_orders": false,
"pre_selected_pos_orders": false,
"pre_selected_credit_notes": false,
"accent_color": "#1F6FEB",
"font_family": "Helvetica",
"font_size": 11,
"date_format": "%d %b %Y",
"invoice_number_prefix": "",
"logo_url": null,
"logo_width": 120,
"logo_enabled": false,
"created_at": "2025-12-01T10:00:00Z",
"updated_at": "2025-12-01T10:00:00Z"
}
]
}{
"error": "Invalid API key"
}{
"error": "REST API access requires a paid plan"
}{
"error": "Rate limit exceeded",
"retry_after": 30,
"message": "You have exceeded the rate limit of 40 points per 60 seconds. Read requests cost 1 point(s) and write requests cost 2 point(s). Please retry after 30 second(s)."
}